util.ui

## Class TransferEntries

- java.lang.Object
- - util.ui.TransferEntries

- All Implemented Interfaces:
    java.awt.datatransfer.Transferable

      public class TransferEntries
      extends java.lang.Object
      implements java.awt.datatransfer.Transferable

  The TransferEntries for JList Drag'n'Drop.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferEntries(int[] indices, java.lang.String source, java.lang.String type)` Set up the transferEntries.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor e)`
    `java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
    `boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferEntries

          public TransferEntries(int[] indices,
                         java.lang.String source,
                         java.lang.String type)

      Set up the transferEntries.
      Parameters:
        `indices` - The selected indices of the source list.
        `source` - The source list name.
        `type` - The type of the list entries.

  - ### Method Detail

    - #### getTransferDataFlavors

          public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor e)

      Specified by:
        `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

    - #### getTransferData

          public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor e)
                                           throws java.awt.datatransfer.UnsupportedFlavorException,
                                                  java.io.IOException

      Specified by:
        `getTransferData` in interface `java.awt.datatransfer.Transferable`
      Throws:
        `java.awt.datatransfer.UnsupportedFlavorException`
        `java.io.IOException`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)